Extending Qt Creator Manual | VcsEditorFactory

Extending Qt Creator Manual 4.5.2

# VcsEditorFactory Class

(VcsBase::VcsEditorFactory)

Inherits: | TextEditor::TextEditorFactory

- List of all members, including inherited members

## Public Functions

| VcsEditorFactory(const VcsBaseEditorParameters *parameters, const EditorWidgetCreator editorWidgetCreator, std::function<void( const QString &, const QString & ) > describeFunc)

- 17 public functions inherited from TextEditor::TextEditorFactory
- 9 public functions inherited from Core::IEditorFactory

## Static Public Members

VcsBaseEditor * | createEditorById(const char *id)

## Member Function Documentation

### VcsEditorFactory::VcsEditorFactory(const VcsBaseEditorParameters *parameters, const EditorWidgetCreator editorWidgetCreator, std::function<void( const QString &, const QString & ) > describeFunc)

Default constructs an instance of VcsEditorFactory.

### `[static]` VcsBaseEditor *VcsEditorFactory::createEditorById(const char *id)